#include <iostream>
#include <GLFW/glfw3.h>

int main(){
	std::cout << "Testing from work" << std::endl;
	if(!glfwInit()){
		std::cerr << "Unable to initialize GLFW. Terminating." << std::endl;
		return 0;
	}

	GLFWwindow* window = glfwCreateWindow(800, 600, "Test Window", NULL, NULL);
	if(!window){
		std::cerr << "Window creation failed. Terminating." << std::endl;
		glfwTerminate();
		return 0;
	}
	glfwMakeContextCurrent(window);
	while(!glfwWindowShouldClose(window)){
		// Game Loop
		glfwSwapBuffers(window);
		glfwPollEvents();
	}

	glfwDestroyWindow(window);
	
	glfwTerminate();
	return 0;
}
